[AI50]Patent Large Model(Pat GPT)

post
https://connect.patsnap.com/chat/pat-gpt-stream
Try in Sandbox

It supports inputting technical questions or questions related to patents. The Patent Large Model (Pat GPT) aims to intelligently retrieve, analyze, and mine data in response to the posed questions, providing relevant patent information, trend analysis, and technical evaluations.

The interface charges based on the total length of tokens consumed after the model invocation is complete, and the token count is calculated using tiktoken.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
query
Required
stringWhat is the technology method of the patent with publication number CN109213437A?
User question Note: No more than 30000 character.
stream
booleantrue
When the interface returns results, whether to require streaming response: true: Represents needed false: Represents not needed Default value is true.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
output
objectPlease check the form: AiPatGptOutPut
The invocation result information for the patent large model includes the conversation result text
usage
objectPlease check the form: AiPatGptUsage
Measurement information indicating the consumption of metered data for this request
input_tokens
integer<int32>20
The length of the user's question after tokenization.
total_tokens
integer<int32>1520
The total length of tokens consumed after the model invocation is complete.
output_tokens
integer<int32>1500
The length of the text generated by the model after tokenization.
status
stringfinished
Model Return Status Note: When status = "running", the system is outputting via SSE, When status = "finished", the request has ended, When status = "length", the generated content exceeds the model's maximum length.
content
string根据公开号为CN109213437A的
Conversation result
references
arrayPlease check the form: AiPatGptReference
Reference materials for model output results.
text
stringtext
Introduction to reference materials
type
stringpatent
Types of reference materials include patent (专利), paper (文献), and website (网页).
value
string72fbb693-366a-4e50-bcd4-56d699f6c316
Reference material associated ID, 1) When type is 'patent', the value is 'patent_id' 2) When type is 'paper', the value is 'paper_id' 3) When type is 'website', the value is the 'url-link'
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "output": {
      "usage": {
        "input_tokens": 20,
        "total_tokens": 1520,
        "output_tokens": 1500
      },
      "status": "finished",
      "content": "根据公开号为CN109213437A的"
    },
    "references": [
      {
        "text": "text",
        "type": "patent",
        "value": "72fbb693-366a-4e50-bcd4-56d699f6c316"
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
33610400Illegal content in user input
33610500Illegal content in the returned results of the model
33610600Internal system exception

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms